﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace RazlikaIzmedjuDvaDatuma
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            //promenljive koje koristimo
            int d1, m1, g1, d2, m2, g2, p, b;
            d1 = int.Parse(textBox1.Text);
            m1 = int.Parse(textBox2.Text);
            g1 = int.Parse(textBox3.Text);
            d2 = int.Parse(textBox4.Text);
            m2 = int.Parse(textBox5.Text);
            g2 = int.Parse(textBox6.Text);

            //proveravamo da li smo uneli datume iz razlicite godine
            if (g1 != g2)
                //ako jesmo, ispisujemo poruku o pogresnom unosu
                label4.Text = "Niste uneli istu godinu!";
            //u suprotnom uneli smo datume iz iste godine
            else
            {
                //proveravamo da li je godina prestupna
                if ((g1 % 4 == 0) && (g1 % 100 != 0) || (g1 % 400 == 0))
                    p = 1;
                else
                    p = 0;

                //odredjujemo koliko dana ima koji mesec, za prvi datum
                if (m1 == 2)
                    b = 28 + p;
                else if ((m1 == 4) || (m1 == 6) || (m1 == 9) || (m1 == 11))
                    b = 30;
                else
                    b = 31;

                //redni broj dana ne moze biti manji od 1 ni veci od broja dana u mesecu u kom je taj dan
                //редни broj meseca ne moze biti veci od 12 ni manji od 1        
                if ((d1 > b) || (d1 < 1) || (m1 > 12) || (m1 < 1))
                    //ispisujemo poruku o pogresnom unosu datuma (prvog datuma)
                    label4.Text = "Uneli ste pogresan datum!!!";
                //u suprotnom uneli smo prvi ispravan datum
                else
                {
                    //odredjujemo koliko dana ima koji mesec, za drugi datum
                    if (m2 == 2)
                        b = 28 + p;
                    else if ((m2 == 4) || (m2 == 6) || (m2 == 9) || (m2 == 11))
                        b = 30;
                    else
                        b = 31;

                    //redni br. dana ne moze biti manji od 1 ni veci od broja dana u mesecu u kom je taj dan
                    //редни broj meseca ne moze biti veci od 12 ni manji od 1
                    if ((d2 > b) || (d2 < 1) || (m2 > 12) || (m2 < 1))
                        //ispisujemo poruku o pogresnom unosu datuma
                        label4.Text = "Uneli ste pogresan datum!!!";
                    //u suprotnom uneli smo ispravan drugi datum
                    else
                    {
                        //broj meseca prvog datuma koji smo uneli smanjimo za 1
                        m1 = m1 - 1;
                        //razmatramo slucajeve posle smanjenja rednog broja prvog meseca koji smo uneli
                        switch (m1)
                        {
                            //slucaj kada smo kao redni broj meseca prvog datuma uneli 2 (februar)
                            //broju dana dodamo 31, toliko dana ima januar
                            case 1: d1 = d1 + 31;
                                break;
                            //slucaj kada smo kao redni broj meseca prvog datuma uneli 3 (mart)
                            //broju dana dodamo broj dana prethodna dva meseca
                            case 2: d1 = d1 + 31 + 28 + p;
                                break;
                            //slucaj kada smo kao redni broj meseca prvog datuma uneli 4 (april)
                            //broju dana dodamo broj dana prethodna tri meseca 
                            case 3: d1 = d1 + 31 + 28 + p + 31;
                                break;
                            //slucaj kada smo kao redni broj meseca prvog datuma uneli 5 (maj)
                            //broju dana dodamo broj dana prethodna cetiri meseca
                            case 4: d1 = d1 + 31 + 28 + p + 31 + 30;
                                break;
                            //slucaj kada smo kao redni broj meseca prvog datuma uneli 6 (jun)
                            //broju dana dodamo broj dana prethodnih pet meseci
                            case 5: d1 = d1 + 31 + 28 + p + 31 + 30 + 31;
                                break;
                            //slucaj kada smo kao redni broj meseca prvog datuma uneli 7 (jul)
                            //broju dana dodamo broj dana prethodnih sest meseci
                            case 6: d1 = d1 + 31 + 28 + p + 31 + 30 + 31 + 30;
                                break;
                            //slucaj kada smo kao redni broj meseca prvog datuma uneli 8 (avgust)
                            //broju dana dodamo broj dana prethodnih sedam meseci
                            case 7: d1 = d1 + 31 + 28 + p + 31 + 30 + 31 + 30 + 31;
                                break;
                            //slucaj kada smo kao redni broj meseca prvog datuma uneli 9 (septembar)
                            //broju dana dodamo broj dana prethodnih osam meseca
                            case 8: d1 = d1 + 31 + 28 + p + 31 + 30 + 31 + 30 + 31 + 31;
                                break;
                            //slucaj kada smo kao redni broj meseca prvog datuma uneli 10 (oktobar)
                            //broju dana dodamo broj dana prethodnih devet meseci
                            case 9: d1 = d1 + 31 + 28 + p + 31 + 30 + 31 + 30 + 31 + 31 + 30;
                                break;
                            //slucaj kada smo kao redni broj meseca prvog datuma uneli 11 (novembar)
                            //broju dana dodamo broj dana prethodnih deset meseci
                            case 10: d1 = d1 + 31 + 28 + p + 31 + 30 + 31 + 30 + 31 + 31 + 30 + 31;
                                break;
                            //slucaj kada smo kao redni broj meseca prvog datuma uneli 12 (decembar)
                            //broju dana dodamo broj dana prethodnih jedanest meseci
                            case 11: d1 = d1 + 31 + 28 + p + 31 + 30 + 31 + 30 + 31 + 31 + 30 + 31 + 30;
                                break;
                            //ako nijedan slucaj nije realizovan
                            default: label4.Text = "Uneli ste pogresan datum!!!";
                                break;
                        }
                        //broj meseca grugog datuma koji smo uneli smanjimo za 1
                        m2 = m2 - 1;
                        //razmatramo slucajeve posle smanjenja rednog broja drugog meseca koji smo uneli
                        switch (m2)
                        {
                            //slucaj kada smo kao redni broj meseca drugog datuma uneli 2 (februar)
                            //broju dana dodamo 31, toliko dana ima januar
                            case 1: d2 = d2 + 31;
                                break;
                            //slucaj kada smo kao redni broj meseca drugog datuma uneli 3 (mart)
                            //broju dana dodamo broj dana prethodna dva meseca
                            case 2: d2 = d2 + 31 + 28 + p;
                                break;
                            //slucaj kada smo kao redni broj meseca drugog datuma uneli 4 (april)
                            //broju dana dodamo broj dana prethodna tri meseca 
                            case 3: d2 = d2 + 31 + 28 + p + 31;
                                break;
                            //slucaj kada smo kao redni broj meseca drugog datuma uneli 5 (maj)
                            //broju dana dodamo broj dana prethodna cetiri meseca
                            case 4: d2 = d2 + 31 + 28 + p + 31 + 30;
                                break;
                            //slucaj kada smo kao redni broj meseca drugog datuma uneli 6 (jun)
                            //broju dana dodamo broj dana prethodnih pet meseci
                            case 5: d2 = d2 + 31 + 28 + p + 31 + 30 + 31;
                                break;
                            //slucaj kada smo kao redni broj meseca drugog datuma uneli 7 (jul)
                            //broju dana dodamo broj dana prethodnih sest meseci
                            case 6: d2 = d2 + 31 + 28 + p + 31 + 30 + 31 + 30;
                                break;
                            //slucaj kada smo kao redni broj meseca drugog datuma uneli 8 (avgust)
                            //broju dana dodamo broj dana prethodnih sedam meseci
                            case 7: d2 = d2 + 31 + 28 + p + 31 + 30 + 31 + 30 + 31;
                                break;
                            //slucaj kada smo kao redni broj meseca drugog datuma uneli 9 (septembar)
                            //broju dana dodamo broj dana prethodnih osam meseca
                            case 8: d2 = d2 + 31 + 28 + p + 31 + 30 + 31 + 30 + 31 + 31;
                                break;
                            //slucaj kada smo kao redni broj meseca drugog datuma uneli 10 (oktobar)
                            //broju dana dodamo broj dana prethodnih devet meseci
                            case 9: d2 = d2 + 31 + 28 + p + 31 + 30 + 31 + 30 + 31 + 31 + 30;
                                break;
                            //slucaj kada smo kao redni broj meseca drugog datuma uneli 11 (novembar)
                            //broju dana dodamo broj dana prethodnih deset meseci
                            case 10: d2 = d2 + 31 + 28 + p + 31 + 30 + 31 + 30 + 31 + 31 + 30 + 31;
                                break;
                            //slucaj kada smo kao redni broj meseca drugog datuma uneli 12 (decembar)
                            //broju dana dodamo broj dana prethodnih jedanest meseci
                            case 11: d2 = d2 + 31 + 28 + p + 31 + 30 + 31 + 30 + 31 + 31 + 30 + 31 + 30;
                                break;
                            //ako nijedan slucaj nije realizovan
                            default: label4.Text = "Uneli ste pogresan datum!!!";
                                break;
                        }
                        //ispisujemo koja je razlika u danima izmedju unetih datuma
                        label4.Text = "Razlika u danima izmedju dva datuma je " + (d2 - d1);
                    }
                }
            }
        }
    }
}
